{
  config,
  lib,
  pkgs,
  ...
}:

{
  programs.neovim = {
    enable = true;
    viAlias = true;
    vimAlias = true;
    plugins = with pkgs.vimPlugins; [
      vim-nix
      airline
      {
        plugin = onehalf;
        config = ''
          colorscheme onehalfdark
          let g:airline_theme='onehalflight'
        '';
      }
      {
        plugin = vim-autoformat;
        config = ''
          au BufWrite * :Autoformat
        '';
      }
      vim-surround
    ];
    extraLuaConfig = ''
      vim.o.termguicolors = true
    '';
    withPython3 = true;
  };
}
